Page MenuHomePhabricator

[LoopPredication] Support guards expressed as branches by widenable condition
ClosedPublic

Authored by mkazantsev on Dec 26 2018, 2:49 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

reames accepted this revision.Jan 16 2019, 5:36 PM

LGTM w/required changes.

lib/Transforms/Scalar/LoopPredication.cpp
226 ↗(On Diff #179504)

Same terminology point as made in other reviews.

651 ↗(On Diff #179504)

Remove

662 ↗(On Diff #179504)

You repeat this logic a bunch of time (across patches). Factor out a matcher.

This revision is now accepted and ready to land.Jan 16 2019, 5:36 PM
mkazantsev marked 4 inline comments as done.Jan 22 2019, 3:23 AM
mkazantsev added inline comments.
lib/Transforms/Scalar/LoopPredication.cpp
651 ↗(On Diff #179504)

It is the same printout as in the function above. Why would I remove it?

662 ↗(On Diff #179504)
mkazantsev marked an inline comment as done.
mkazantsev edited the summary of this revision. (Show Details)

Rebased on top of all refactorings, made renaming to get rid of term "explicit".

mkazantsev retitled this revision from [LoopPredication] Support explicit guards to [LoopPredication] Support guards expressed as branches by widenable condition.Jan 22 2019, 3:46 AM
This revision was automatically updated to reflect the committed changes.